#
# spec file for package perl-ExtUtils-F77
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-ExtUtils-F77
BuildRequires:  gcc-fortran gmp-devel perl
BuildRequires:  perl-macros
Version:        1.17
Release:        109.5
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Url:            http://cpan.org/modules/by-module/ExtUtils/
Summary:        Simple interface to F77 libs
Source:         ExtUtils-F77-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module tries to figure out how to link C programs with Fortran
subroutines on your system. Basically one must add a list of Fortran
runtime libraries. The problem is their location and name varies with
each OS/compiler combination!



Authors:
--------
    Karl Glazebrook <kgb@aaoepp.aao.GOV.AU>

%prep
%setup -q -n ExtUtils-F77-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING CHANGES README 
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/ExtUtils
%{perl_vendorlib}/ExtUtils

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Jan  7 2011 vcizek@novell.com
- update to 1.17
  * Derek Lamb's patch to avoid an uninitialised variable error.
  * Diab Jarius's Solaris Studio 10 patch and his gfortran patch (with mods).
  Note g77 is still the default if both it and gfortran are present.
  * Rob's big Win32 patch (Nov 2010 version)
  * ** IMPORTANT. Added in simplification of GNU fortran compilers (g77, gfortran, g95, fort77)
  etc. suggested by Tim Jeness. I used his code but made a slightly different
  implementaion introducing a 'Generic' 'GNU' database entry to which others point.
  This also superceded some of the above patches.
  * Removed places where .gcclibs() is added to the link line, this appears to no loner
  be necessary. Routine left in there (but orphaned) just in case.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Jun 11 2007 anicka@suse.cz
- update to 1.16
  * Added new config entry for Darwin/OSX (using gcc 4.0 and g77,
    gfortran or g95)
  * Added new entry for gfortran under Linux
  * Works fine under g77 on intel Mac OS X.
- remove our gfortran patch, fixed in upstream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 kukuk@suse.de
- Add gmp-devel to nfb
* Fri Jan 13 2006 anicka@suse.cz
- update to 1.15
* Mon Apr 18 2005 mjancar@suse.de
- fix for gcc 4.0
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Jan 16 2002 rvasice@suse.cz
- initial package release (version 1.14)
